> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /usaspending/awards/search

> Search U.S. federal awards by keywords and award type

**Price:** 5 credits per 100 results



## OpenAPI

````yaml /openapi/gov-public-sector.json post /api/usaspending/awards/search
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/usaspending/awards/search:
    post:
      tags:
        - /usaspending
      summary: /usaspending/awards/search
      description: |-
        Search U.S. federal awards by keywords and award type

        **Price:** 5 credits per 100 results
      operationId: __api_usaspending_awards_search_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UsaspendingAwardsSearchPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/UsaspendingAwardSearchResult'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    UsaspendingAwardsSearchPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        keywords:
          items:
            type: string
          type: array
          minItems: 1
        award_type_codes:
          items:
            $ref: '#/components/schemas/UsaspendingAwardTypeCode'
          type: array
          minItems: 1
        count:
          type: integer
          minimum: 1
        start_date:
          anyOf:
            - type: string
            - type: 'null'
        end_date:
          anyOf:
            - type: string
            - type: 'null'
        sort:
          $ref: '#/components/schemas/UsaspendingAwardSortField'
          default: Award Amount
        order:
          $ref: '#/components/schemas/UsaspendingSortOrder'
          default: desc
      type: object
      required:
        - keywords
        - award_type_codes
        - count
    UsaspendingAwardSearchResult:
      properties:
        '@type':
          type: string
          default: UsaspendingAwardSearchResult
        id:
          type: string
        internal_id:
          anyOf:
            - type: integer
            - type: 'null'
        award_id:
          anyOf:
            - type: string
            - type: 'null'
        recipient_name:
          anyOf:
            - type: string
            - type: 'null'
        recipient_id:
          anyOf:
            - type: string
            - type: 'null'
        award_amount:
          anyOf:
            - type: number
            - type: 'null'
        total_outlay:
          anyOf:
            - type: number
            - type: 'null'
        award_type:
          anyOf:
            - type: string
            - type: 'null'
        awarding_agency:
          anyOf:
            - type: string
            - type: 'null'
        awarding_sub_agency:
          anyOf:
            - type: string
            - type: 'null'
        funding_agency:
          anyOf:
            - type: string
            - type: 'null'
        funding_sub_agency:
          anyOf:
            - type: string
            - type: 'null'
        start_date:
          anyOf:
            - type: string
            - type: 'null'
        end_date:
          anyOf:
            - type: string
            - type: 'null'
        last_modified_date:
          anyOf:
            - type: string
            - type: 'null'
        agency_slug:
          anyOf:
            - type: string
            - type: 'null'
      type: object
      required:
        - id
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    UsaspendingAwardTypeCode:
      type: string
      enum:
        - A
        - B
        - C
        - D
        - IDV_A
        - IDV_B
        - IDV_B_A
        - IDV_B_B
        - IDV_B_C
        - IDV_C
        - IDV_D
        - IDV_E
        - '02'
        - '03'
        - '04'
        - '05'
        - '06'
        - '07'
        - '08'
        - '09'
        - '10'
        - '11'
    UsaspendingAwardSortField:
      type: string
      enum:
        - Award Amount
        - Total Outlays
        - Start Date
        - End Date
        - Recipient Name
        - Award ID
        - Last Modified Date
        - Awarding Agency
    UsaspendingSortOrder:
      type: string
      enum:
        - asc
        - desc
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````